delete from report_sql where computer = {?computer};

-- str1 = ime meseca znotraj izbrane periode
-- date1 = zacetek tega meseca
-- date2 = zacetek naslednjega meseca
-- num1 = st. tranzitnih dni znotraj meseca
-- num2 = st. noci v tem mesecu
-- num3 = leto
-- num4 = st. pogodbenih dni znotraj meseca
-- num5 = st. privezov
-- num6 = spodnja meja dolzinske kategorije
-- num7 = zgornja meja dolzinske kategorije
-- num8 = st. vseh tranzitnih rezervacij
-- num9 = st.vseh pogodbenih rezervacij
-- num10 = stevilka meseca

-- insertiramo mesece skupaj s prvim in zadnjim dnem tega meseca
-- vse skupaj insertiramo 15-krat ker imamo 15 dolzinskih kategorij

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),0,23,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),23.01,27,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),27.01,33,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),33.01,39,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),39.01,43,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),43.01,47,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),47.01,52,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),52.01,56,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),56.01,62,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),62.01,66,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),66.01,82,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),82.01,100,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),100.01,130,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),130.01,173,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

insert into report_sql (computer,str1,date1,date2,num6,num7,num10) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),173.01,1000,extract(month from add_months({?from},rownum -1)) from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

-- st. casual dni znotraj meseca
update report_sql set num1 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date1 then 
case when d.datum_do < date2 then d.datum_do - date1 
else date2 - date1
end
when d.datum_od >= date1 then
case when d.datum_do < date2 then d.datum_do - d.datum_od 
else date2 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date2 and d.datum_do >= date1
and p.dolzina between num6 and num7)
where computer = {?computer};

-- st. dni v mesecu
update report_sql set num2 =
(date2 - date1) + 1
where computer = {?computer};

-- leto
update report_sql set num3 =
extract(year from date1)
where computer = {?computer};

-- st. pogodbenih dni znotraj meseca
update report_sql set num4 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date1 then 
case when d.datum_do < date2 then d.datum_do - date1
else date2 - date1 
end
when d.datum_od >= date1 then
case when d.datum_do < date2 then d.datum_do - d.datum_od 
else date2 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date2 and d.datum_do >= date1
and p.dolzina between num6 and num7)
where computer = {?computer};

-- st. privezov
update report_sql set num5 = (select count(id_privez) from nnprivez where objekt in ('SEA') and occupancy_statistics = 'Y')
where computer = {?computer};

-- st. vseh tranzitnih rezervacij
update report_sql set num8 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= {?from} and d.datum_od <= trunc(add_months({?to},1),'MM') 
)
where computer = {?computer};

-- st. vseh pogodbenih rezervacij
update report_sql set num9 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= {?from} and d.datum_od <= trunc(add_months({?to},1),'MM')
)
where computer = {?computer};
