delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = n_priveza
-- str2  = ime plovila
-- num1  = sort
-- str7  = pomol (kategorija)
-- num2  = limit priveza
-- num3  = id_privez
-- str9  = objekt
-- num4  = id_plovila
-- num5  = Income,
-- num10 = nnprivez.sort_prikaz
-- date1 = datum od
-- date2 = datum do
--
insert into report_sql(computer,str1,str2,num1,str7,num2,num3,str9,num4,num5,num10,date1,date2)
SELECT {?Computer}, nnprivez.n_priveza, plovila.ime, nnprivez.sort, nnprivez.kategorija,
nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, plovila.id,
(SELECT nvl(SUM(round(bruto,2)),0)
FROM m_storitve_income 
WHERE id_privez=nnprivez.id_privez 
AND id_racun_data IS NOT NULL
AND datum BETWEEN {?datum_od} AND {?datum_do}),
nnprivez.sort_prikaz,{?datum_od},{?datum_do}
FROM   nnprivez 
LEFT OUTER JOIN privezi ON (nnprivez.id_privez=privezi.id_privez AND privezi.id_pogodbe IS NULL)
LEFT OUTER JOIN plovila ON (privezi.id_plovila = plovila.id)
WHERE 1=1
? AND nnprivez.kategorija = {?pomol}
? AND nnprivez.id_privez = {?privez}
ORDER BY nnprivez.kategorija, nnprivez.sort_prikaz
;
