delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = Berth
-- num7  = Berth type
-- str15 = Utility locked
-- str3  = Name
-- str5  = Spouse
-- num1  = m
-- num2  = ft
-- str4  = Boat details
-- str7  = Comment
-- str6  = Mobile
-- str8  = Home
-- str9  = Newspaper
-- str10 = Coffee
-- str14 = Power on
-- str11 = nnprivez.objekt
-- num5  = nnprivez.sort_prikaz
-- str12 = nnprivez.kategorija
-- str13 = nnobjekt.opis
-- num6  = plovila.id
-- date1 = {?Datum}
-- num8  = weather.id
-- num9  = nnprivez.id_privez

INSERT INTO report_sql (computer, str1, num7, str15, str3, str5, num1, num2, str4, str7, str6, str8, str9,
                        str10, str14, str11, num5, str12, str13, num6, date1, num8, num9)
select {?Computer},
       nnprivez.n_priveza, 
       nvl(nnprivez.dolzina,0), 
       CASE WHEN (SELECT count(*) FROM pregledi WHERE id_plovila=plovila.id AND nstanje='U' AND datum={?Datum}) > 0 THEN 'Yes' ELSE null END,
       CASE WHEN kupci.ime IS NULL THEN kupci.priimek ELSE kupci.ime || ' ' || kupci.priimek END,
       CASE WHEN kupci.kontaktna_oseba IS NOT NULL THEN
            CASE WHEN kupci.kontaktna_oseba_tujina IS NOT NULL THEN  kupci.kontaktna_oseba || ', ' || kupci.kontaktna_oseba_tujina
                 ELSE kupci.kontaktna_oseba END
            ELSE kupci.kontaktna_oseba_tujina
        END,
       round(plovila.dolzina,2),
       round(plovila.dolzina/3.28084,2),
       CASE WHEN plovila.proizvajalec IS NULL THEN plovila.ime
                                              ELSE trim(plovila.ime) || ' (' || trim(plovila.proizvajalec) || ')'
       END,
       (SELECT substr(belezka,1,100) FROM plovilabelezke WHERE idplovila=plovila.id AND id_plbelezke = (SELECT max(id_plbelezke) FROM plovilabelezke WHERE idplovila=plovila.id AND veljavna <> 'N')),
       kupci.telex,
       kupci.telefon_1,
       (SELECT listagg (komentar, ',') WITHIN GROUP (ORDER BY komentar) 
        FROM plovila_order WHERE nncomplimentary = 1 and id_plovila=plovila.id GROUP BY id_plovila),
       (SELECT listagg (komentar, ',') WITHIN GROUP (ORDER BY komentar) 
        FROM plovila_order WHERE nncomplimentary = 2 and id_plovila=plovila.id GROUP BY id_plovila),
       CASE WHEN (SELECT count(*) FROM pregledi WHERE id_plovila=plovila.id AND nstanje='W' AND datum={?Datum}) > 0 THEN 'Yes' ELSE null END,
       nnprivez.objekt, 
       nnprivez.sort_prikaz, 
       nnprivez.kategorija,
       nnobjekt.opis,
       plovila.id,
       {?Datum},
       (select id from weather 
                 where trunc(on_date)={?Datum} 
                 and ON_DATE = (select max(on_date) from weather where trunc(on_date)={?Datum})),
       nnprivez.id_privez
from nnprivez 
left outer join v_rezervac ON v_rezervac.rd_id_privez=nnprivez.id_privez and V_rezervac.rd_Status_Rezervac IN (-10, 1) 
LEFT OUTER JOIN plovila ON v_rezervac.id_plovila=plovila.id
JOIN nnobjekt ON nnprivez.objekt=nnobjekt.sifra
LEFT OUTER JOIN kupci ON plovila.id_lastnika=kupci.id
where v_rezervac.RD_DATE_TO >={?Datum}
and v_rezervac.RD_DATE_FROM <{?Datum}
union all
select {?Computer},
       nnprivez.n_priveza, 
       nvl(nnprivez.dolzina,0), 
       null,
       '      VACANT',
       null,
       null,
       null,
       null,
       null,
       null,
       null,
       null,
       null,
       null,
       nnprivez.objekt, 
       nnprivez.sort_prikaz, 
       nnprivez.kategorija,
       nnobjekt.opis,
       null,
       {?Datum},
       null,
       nnprivez.id_privez
from nnprivez 
JOIN nnobjekt ON nnprivez.objekt=nnobjekt.sifra
;

DELETE FROM report_sql WHERE num9 IN (
SELECT num9
FROM report_sql
WHERE computer={?Computer}
GROUP BY num9
HAVING COUNT(*) > 1)
AND str3='      VACANT' AND computer={?Computer};
