delete from report_sql WHERE COMPUTER={?Computer};
-- num1  = znesek
-- str1  = n_racuna
-- str2  = storitev
-- num2  = kolicina
-- num3  = popust
-- num4  = davek
-- num5  = id_storitve
-- date1 = datum_kreiranja
-- date2 = datum_od
-- date3 = datum_kreiranja brez ure
-- num6  = id_lastnika


INSERT INTO report_sql (computer, num1, str1, str2, num2, num3, num4, num5, date1, date3, num6, str3, str4)
SELECT {?Computer}, 
znesek, n_racuna, storitev, kolicina, popust, davek, id_storitve, datum_od, trunc(datum_od), id_lastnika,
kat, timekat
FROM m_storitve
WHERE storitev in ('FUEL', 'FUED','P')
AND (N_RACUNA IS NULL OR N_RACUNA <> 'STORNO')
? AND trunc(datum_od) >= {?Datum_od}
? AND trunc(datum_od) <= {?Datum_do}
UNION ALL
SELECT {?Computer},
o.skupaj, rd.n_racuna,'FUEL', o.kolicina, 0, 0, o.id_obracun + 100000, null, trunc(s.datum),0,
CASE WHEN id_artikel IN (3,4,7,8) THEN '1' ELSE '2' END kat,
CASE WHEN id_artikel IN (4,6,8,10) THEN 'AH' ELSE 'IH' END timekat
FROM s_obracun o
JOIN racun_data rd ON o.id_obracun=rd.id_obracun
JOIN saldkont s ON rd.id_saldkont=s.id_saldkont
WHERE o.id_artikel in (3,4,5,6,7,8,9,10)
AND (rd.N_RACUNA IS NULL OR rd.N_RACUNA <> 'STORNO')
? AND trunc(s.datum) >= {?Datum_od}
? AND trunc(s.datum) <= {?Datum_do}
;