delete from report_sql WHERE COMPUTER={?Computer};
-- str1  = n_priveza
-- str2  = ime plovila
-- num1  = sort
-- str7  = pomol (kategorija)
-- num2  = limit priveza
-- num3  = id_privez
-- str9  = objekt
-- num4  = id_plovila
-- num5  = Income,
-- num6  = Rack Rate
-- num7  = Potential
-- str8  = dolina plovila
-- str10  = dolina priveza
-- num10 = nnprivez.sort_prikaz
--
insert into report_sql(computer,str1,str2,num1,str7,num2,num3,str9,num4,num5,num6,num7,str8,str10,num10)
SELECT {?Computer}, nnprivez.n_priveza, max(plovila.ime), nnprivez.sort, nnprivez.kategorija,
nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, max(plovila.id),
(SELECT nvl((round(SUM(bruto))),0) FROM v_storitve_income WHERE id_privez=nnprivez.id_privez AND datum BETWEEN {?datum_od} AND {?datum_do} and id_racun_data is not null and m_nnstomar_berth_yield='Y'),
(SELECT nvl((round(SUM(bruto_full))),0) FROM v_storitve_income WHERE id_privez=nnprivez.id_privez AND datum BETWEEN {?datum_od} AND {?datum_do} and id_racun_data is not null and m_nnstomar_berth_yield='Y'),
(SELECT nvl((round(SUM(bruto_berth))),0) FROM v_storitve_income WHERE id_privez=nnprivez.id_privez AND datum BETWEEN {?datum_od} AND {?datum_do} and id_racun_data is not null and m_nnstomar_berth_yield='Y'),
max('V' || to_char(nvl(round(plovila.dolzina),0))),
max('B' || to_char(nvl(round(nnprivez.dolzina),0))),
nnprivez.sort_prikaz
FROM   nnprivez
LEFT OUTER JOIN nnobjekt ON (nnprivez.objekt = nnobjekt.sifra)
LEFT OUTER JOIN privezi_zasedenost ON (nnprivez.id_privez=privezi_zasedenost.id_privez AND privezi_zasedenost.datum BETWEEN {?datum_od} AND {?datum_do})
LEFT OUTER JOIN plovila ON (privezi_zasedenost.id_plovila = plovila.id)
WHERE nvl(nnobjekt.yield_analysis,'N')='Y'
GROUP BY {?Computer}, nnprivez.n_priveza,nnprivez.sort, nnprivez.kategorija,nnprivez.limit, nnprivez.id_privez, nnprivez.objekt, nnprivez.sort_prikaz
ORDER BY nnprivez.kategorija, nnprivez.sort_prikaz
;
