SELECT KUPCI.ID ID_KUPCA,KUPCI.PRIIMEK || ' '|| KUPCI.IME OWNER, PLOVILA.IME BOAT, PLOVILA.PROIZVAJALEC MANUFACTURER, PLOVILA.ZAVAROVALNICA INSURANCE_COMPANY, PLOVILA.N_ZAVAROVALNE_POLICE INSURANCE_LICENSE, PLOVILA.DATUM_ZAVAROVANJE  AS INSURANCE_EXPIRY
FROM (SELECT DISTINCT P.ID_PLOVILA,K.ID FROM PRIVEZI P 
LEFT JOIN NNPRIVEZ PR ON P.ID_PRIVEZ = PR.ID_PRIVEZ 
LEFT JOIN PLOVILA PL ON P.ID_PLOVILA = PL.ID
LEFT JOIN KUPCI K ON PL.ID_LASTNIKA = K.ID
LEFT JOIN NNPOMOL PO ON PR.KATEGORIJA = PO.SIFRA
AND P.ID_PLOVILA IS NOT NULL
AND (PL.POGODBENA_N_PRIVEZA IS NOT NULL or PL.TRENUTNA_N_PRIVEZA IS NOT NULL)
AND PL.ACT ='Y')  A 
LEFT JOIN PLOVILA   ON A.ID_PLOVILA=PLOVILA.ID
LEFT JOIN KUPCI   ON A.ID=KUPCI.ID;