delete from report_sql WHERE COMPUTER={?Computer};
-- date1 = dan
-- date2 = From
-- date3 = To
-- num1  = id_rezervac_detail
-- date4 = rd_date_from
-- date5 = rd_date_to
-- str2  = vrsta
-- num2  = status_rezervac
-- str3  = pogodba_n_priveza
-- str4  = priimek
-- str5  = proizvajalec
-- str6  = rd_n_priveza
-- num3  = rd_id_privez

-- generiranje vrstic: za vsak dan v periodi vse iz v_rezervac, kar ustreza pogojem
INSERT INTO report_sql (computer, date1, date2, date3, num1, date4, date5, str2, num2, str3, str4, str5, str6, num3)
SELECT {?Computer},
       a.datum,
       {?Datum_od}, 
       {?Datum_do},
       b.id_rezervac_detail,
       b.RD_DATE_FROM,
       b.RD_DATE_TO,
       b.vrsta,
       b.RD_STATUS_REZERVAC,
       b.pogodba_n_priveza,
       b.priimek,
       b.proizvajalec,
       b.rd_n_priveza,
       b.rd_id_privez
FROM (SELECT id_rezervac_detail,
             trunc(RD_DATE_FROM) as RD_DATE_FROM,
             CASE WHEN RD_STATUS_REZERVAC = -10 OR VRSTA = 'PO' THEN trunc(RD_DATE_TO) - 1 ELSE trunc(RD_DATE_TO) END as RD_DATE_TO,
             vrsta,
             RD_STATUS_REZERVAC,
             pogodba_n_priveza,
             priimek,
             proizvajalec,
             rd_n_priveza,
             rd_id_privez
      FROM v_rezervac
      LEFT OUTER JOIN nnprivez ON rd_id_privez=nnprivez.id_privez
      LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
      WHERE trunc(RD_DATE_FROM) <= {?Datum_do} and (RD_STATUS_REZERVAC >= 0 or RD_STATUS_REZERVAC=-10) and
            trunc(RD_DATE_TO) >= {?Datum_od} AND
            rd_id_privez IS NOT NULL
?       AND nnpomol.nnlocation_id={?Location_id}
UNION ALL
      SELECT null,
             trunc(DATE_FROM),
             trunc(DATE_TO),
             null,
             99,
             null,
             null,
             null,
             n_priveza,
             berth_maintenance.id_privez
      FROM berth_maintenance
      LEFT OUTER JOIN nnprivez ON berth_maintenance.id_privez=nnprivez.id_privez
      LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
      WHERE trunc(DATE_FROM) <= {?Datum_do} and STATUS >= 0 and trunc(DATE_TO) >= {?Datum_od} AND
            berth_maintenance.id_privez IS NOT NULL
?       AND nnpomol.nnlocation_id={?Location_id}
UNION ALL
      SELECT null,
             {?Datum_od}, 
             {?Datum_do},
             null,
             0,
             null,
             null,
             null,
             n_priveza,
             id_privez
      FROM nnprivez
      LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
      WHERE id_privez IS NOT NULL
        AND id_privez NOT IN (SELECT rd_id_privez
                              FROM v_rezervac
                              LEFT OUTER JOIN nnprivez ON rd_id_privez=nnprivez.id_privez
                              LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
                              WHERE RD_DATE_FROM <= {?Datum_do} and (RD_STATUS_REZERVAC >= 0 or RD_STATUS_REZERVAC=-10) and
                                    RD_DATE_TO >= {?Datum_od}
?                               AND nnpomol.nnlocation_id={?Location_id}
                                AND rd_id_privez IS NOT NULL)
        AND id_privez NOT IN (SELECT berth_maintenance.id_privez
                              FROM berth_maintenance
                              LEFT OUTER JOIN nnprivez ON berth_maintenance.id_privez=nnprivez.id_privez
                              LEFT OUTER JOIN nnpomol ON nnprivez.kategorija=nnpomol.sifra
                              WHERE DATE_FROM <= {?Datum_do} and STATUS >= 0 and DATE_TO >= {?Datum_od}
?                               AND nnpomol.nnlocation_id={?Location_id}
                                AND berth_maintenance.id_privez IS NOT NULL)
?       AND nnpomol.nnlocation_id={?Location_id}
) b
LEFT OUTER JOIN (SELECT {?Datum_od} + rownum - 1 datum 
                 FROM   all_objects
                 WHERE  rownum <= {?Datum_do} - {?Datum_od} +1) a ON 1=1
;
