delete from report_sql where computer = {?computer};

-- str1 = ime meseca znotraj izbrane periode
-- date1 = zacetek tega meseca
-- date2 = zacetek naslednjega meseca
-- date3 - date6 = zacetki mesecev za 2 leti nazaj
-- num1 = st. tranzitnih dni znotraj meseca
-- num2 = st. dni v tem mesecu
-- num3 = aktualno leto
-- num4 - num5 = leta prej
-- num6, num7, num10 = st. pogodbenih dni 
-- num8, num9 = st. tranzitnih dni v letih prej
-- num12, num13 st. dni v tem mesecu
-- num16 = average
-- num17 = st.privezov
-- num18 = t. meseca
-- num19 = st. vseh tranzitnih rezervacij to leto
-- num20,num21 = st. vseh tranzitnih rezervacij za nazaj
-- num22 = st. vseh pogodbenih rezervacij
-- num23,num24 = st. vseh pogodbenih rezervacij za nazaj


insert into report_sql (computer,str1,date1,date2,num18) 
select {?computer}, case extract(month from add_months({?from},rownum -1)) when 1 then 'January' when 2 then 'February' when 3 then 'March' when 4 then 'April' when 5 then 'May'
when 6 then 'June' when 7 then 'July' when 8 then 'August' when 9 then 'September' when 10 then 'October' when 11 then 'November' when 12 then 'December' else '' end, trunc(add_months({?from},rownum -1),'MM'), 
trunc(add_months({?from},rownum),'MM'),
extract(month from add_months({?from},rownum -1))
from all_objects 
where rownum <= extract(month from {?to}) - extract(month from {?from}) +1 + 12*(extract(year from {?to}) - extract(year from {?from})); 

update report_sql set date3 = 
add_months(date1,-12), date4 = add_months(date2,-12), date5 = add_months(date1,-24), date6 = add_months(date2,-24)
where computer = {?computer};

update report_sql set num3 = extract(year from date1), num4 = extract(year from date3), num5 = extract(year from date5)
where computer = {?computer};

-- st. dni znotraj meseca
update report_sql set num1 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date1 then 
case when d.datum_do < date2 then d.datum_do - date1 
else date2 - date1 
end
when d.datum_od >= date1 then
case when d.datum_do < date2 then d.datum_do - d.datum_od 
else date2 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date2 and d.datum_do >= date1)
where computer = {?computer};

update report_sql set num2 =
(date2 - date1) 
where computer = {?computer};

update report_sql set num12 =
(date4 - date3) 
where computer = {?computer};

update report_sql set num13 =
(date6 - date5) 
where computer = {?computer};


update report_sql set num8 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date3 then 
case when d.datum_do < date4 then d.datum_do - date3 
else date4 - date3 
end
when d.datum_od >= date3 then
case when d.datum_do < date4 then d.datum_do - d.datum_od 
else date4 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date4 and d.datum_do >= date3)
where computer = {?computer};

update report_sql set num9 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date5 then 
case when d.datum_do < date6 then d.datum_do - date5 
else date6 - date5 
end
when d.datum_od >= date5 then
case when d.datum_do < date6 then d.datum_do - d.datum_od 
else date6 - d.datum_od
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date6 and d.datum_do >= date5)
where computer = {?computer};

-- st. pogodbenih dni znotraj meseca
update report_sql set num6 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date1 then 
case when d.datum_do < date2 then d.datum_do - date1 
else date2 - date1 
end
when d.datum_od >= date1 then
case when d.datum_do < date2 then d.datum_do - d.datum_od 
else date2 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date2 and d.datum_do >= date1)
where computer = {?computer};

update report_sql set num7 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date3 then 
case when d.datum_do < date4 then d.datum_do - date3 
else date4 - date3 
end
when d.datum_od >= date3 then
case when d.datum_do < date4 then d.datum_do - d.datum_od 
else date4 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date4 and d.datum_do >= date3)
where computer = {?computer};

update report_sql set num10 = 
(select coalesce(sum(case when d.datum_od = d.datum_do then 0
when d.datum_od < date5 then 
case when d.datum_do < date6 then d.datum_do - date5 
else date6 - date5 
end
when d.datum_od >= date5 then
case when d.datum_do < date6 then d.datum_do - d.datum_od 
else date6 - d.datum_od 
end
end),0)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_od <= date6 and d.datum_do >= date5)
where computer = {?computer};

-- st. privezov
update report_sql set num17 = (select count(id_privez) from nnprivez where objekt in ('SEA') and occupancy_statistics = 'Y')
where computer = {?computer};

-- st. vseh tranzitnih rezervacij za letos
update report_sql set num19 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= {?from} and d.datum_od <= trunc(add_months({?to},1),'MM') 
)
where computer = {?computer};

-- st. vseh tranzitnih rezervacij za leto prej
update report_sql set num20 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= add_months({?from},-12) and d.datum_od <= trunc(add_months({?to},-11),'MM')
)
where computer = {?computer};

-- st. vseh tranzitnih rezervacij za dve leti prej
update report_sql set num21 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'TR' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= add_months({?from},-24) and d.datum_od <= trunc(add_months({?to},-23),'MM') 
)
where computer = {?computer};

-- st. vseh pogodbenih rezervacij za letos
update report_sql set num22 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= {?from} and d.datum_od <= trunc(add_months({?to},1),'MM')
)
where computer = {?computer};

-- st. vseh pogodbenih rezervacij za leto prej
update report_sql set num23 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= add_months({?from},-12) and d.datum_od <= trunc(add_months({?to},-11),'MM')
)
where computer = {?computer};

-- st. vseh pogodbenih rezervacij za dve leti prej
update report_sql set num24 = 
(select count(d.id_rezervac_detail)
from rezervac_detail d
left join rezervac r on d.id_rezervac = r.id
left join nnprivez p on d.id_privez = p.id_privez
left join plovila pl on r.id_plovila = pl.id
where p.objekt in ('SEA')
and r.vrsta = 'PO' and r.status_rezervac in (0,1)
and d.status_rezervac > 0
and p.occupancy_statistics = 'Y'
and d.datum_do >= add_months({?from},-24) and d.datum_od <= trunc(add_months({?to},-23),'MM')
)
where computer = {?computer};

















